commit: 821c3144cfab97b5ce23982db8f4fea76a2f3718
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 3 14:32:54 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Jul 3 15:00:08 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=821c3144
dev-perl/Bio-SamTools: -r bump for toolchain fixes
- Don't break when LD=!ccld
- Ensure CFLAGS passed through to compiler
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
.../Bio-SamTools/Bio-SamTools-1.430.0-r2.ebuild | 45 ++++++++++++++++++++++
1 file changed, 45 insertions(+)
diff --git a/dev-perl/Bio-SamTools/Bio-SamTools-1.430.0-r2.ebuild
b/dev-perl/Bio-SamTools/Bio-SamTools-1.430.0-r2.ebuild
new file mode 100644
index 00000000000..ed1ab08f825
--- /dev/null
+++ b/dev-perl/Bio-SamTools/Bio-SamTools-1.430.0-r2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=LDS
+DIST_VERSION=1.43
+inherit perl-module toolchain-funcs multilib
+
+DESCRIPTION="Read SAM/BAM database files"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+LICENSE="|| ( Apache-2.0 Artistic-2 GPL-1+ )"
+
+RDEPEND="
+ >=sci-biology/bioperl-1.6.9
+ sci-biology/samtools:0.1-legacy=
+"
+DEPEND="
+ dev-perl/Module-Build
+ sci-biology/samtools:0.1-legacy=
+"
+BDEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-CBuilder
+ >=dev-perl/Module-Build-0.420.0
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.430.0-legacy-r1.patch
+)
+
+src_configure() {
+ tc-export CC
+ unset LD
+ if [[ -n "${CCLD}" ]]; then
+ export LD="${CCLD}"
+ fi
+ SAM_LIB="${EPREFIX}/usr/$(get_libdir)/libbam-0.1-legacy.so" \
+ SAM_INCLUDE="${EPREFIX}/usr/include/bam-0.1-legacy" \
+ perl-module_src_configure
+}
+src_compile() {
+ ./Build --config optimize="${CFLAGS}" build || die
+}